編集部からのお知らせ
新着記事まとめ:アジャイル開発が支えるDX
新しい働き方の関連記事はこちら

Nginxウェブサーバにバッファアンダーランの脆弱性

吉澤亨史

2009-09-18 16:14

 独立行政法人 情報処理推進機構セキュリティセンター(IPA/ISEC)および一般社団法人 JPCERT コーディネーションセンター(JPCERT/CC)は9月16日、Nginxウェブサーバにバッファアンダーランの脆弱性が存在すると公表した。

 Nginxは、さまざまなプラットフォーム向けに提供されているHTTPサーバおよびメールプロキシサーバ。Nginxの0.1.0から0.5.37まで、および0.6.39以前、0.7.62以前、0.8.15以前のバージョンでは、ngx_http_parse_complex_uri() 関数に問題があり、細工されたURIを処理する際にバッファアンダーランが発生する可能性がある。

 Nginxは特権を持ったマスタープロセスと特権を持たないワーカープロセスによって構成されているが、この脆弱性を悪用されると、遠隔地の第三者によってワーカープロセスの権限で任意のコードを実行されたり、DoS攻撃を受けたりする可能性がある。

 最新版ではこの脆弱性が解消されており、IPA/ISECらはアップデートを呼びかけている。なお、JPCERT/CCではこの脆弱性の危険度について、攻撃経路、認証レベル、攻撃成立に必要なユーザーの関与で「高」、攻撃の難易度で「中〜高」と分析している。

ZDNet Japan 記事を毎朝メールでまとめ読み(登録無料)

特集

CIO

モバイル

セキュリティ

スペシャル

NEWSLETTERS

エンタープライズ・コンピューティングの最前線を配信

ZDNet Japanは、CIOとITマネージャーを対象に、ビジネス課題の解決とITを活用した新たな価値創造を支援します。
ITビジネス全般については、CNET Japanをご覧ください。

このサイトでは、利用状況の把握や広告配信などのために、Cookieなどを使用してアクセスデータを取得・利用しています。 これ以降ページを遷移した場合、Cookieなどの設定や使用に同意したことになります。
Cookieなどの設定や使用の詳細、オプトアウトについては詳細をご覧ください。
[ 閉じる ]